Bug 444126 - Rotation at high resolutions causes black screen with ati driver
Rotation at high resolutions causes black screen with ati driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 04:51 EDT by Mark McClelland
Modified: 2009-07-14 13:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:28:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from Radeon 9800 Pro (85.29 KB, text/plain)
2008-04-25 04:51 EDT, Mark McClelland
no flags Details

  None (edit)
Description Mark McClelland 2008-04-25 04:51:21 EDT
Description of problem:
If I choose a high resolution (relative to the capabilities of the monitor) and
left or right rotation in the GNOME screen resolution app, the monitor goes into
power-saving mode and doesn't come back. Rotation at low resolutions such as
800x600 works.

Version-Release number of selected component (if applicable):
F9 Preview Live CD

How reproducible:
Every time

Steps to Reproduce:
1. In GNOME: System menu -> Preferences -> Hardware -> Screen Resolution
2. Set resolution to highest that monitor can support (2048x1536 in my case) 
3. Set Rotation to "Left"
4. Click Apply
  
Actual results:
Screen goes black and monitor goes into power-saving mode
Comment 1 Mark McClelland 2008-04-25 04:51:21 EDT
Created attachment 303761 [details]
Xorg log from Radeon 9800 Pro
Comment 2 Mark McClelland 2008-04-25 04:53:37 EDT
I forgot to mention that the same result happens on a different computer with a
Radeon 9600 Pro with the same monitor at 1920x1200.
Comment 3 Dave Airlie 2008-05-06 03:07:27 EDT
can you try enabling EXA?

Option "AccelMethod" "EXA" in xorg.conf device section?
Comment 4 Mark McClelland 2008-05-06 07:42:26 EDT
Tried it, same result. It happens at 1600x1200 too. Should the driver even be
attempting 90 degree rotation at resolutions where the horizontal resolution of
the mode exceeds the vertical resolution of the monitor? I would expect it (or
better yet, the RandR code) to return an error immediately.
Comment 5 Bug Zapper 2008-05-14 06:08:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 20:26:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:28:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.